Bug 428372 - debuginfo-install traceback running it as non-root user
debuginfo-install traceback running it as non-root user
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-11 01:45 EST by Rahul Sundaram
Modified: 2013-03-13 01:43 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.1.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-12 06:57:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2008-01-11 01:45:55 EST
Description of problem:

yum and plugins in yum-utils have different results when running them as
non-root user

Steps to Reproduce:

As non-root user, run

1. debuginfo-install audacity 

Actual results:


enabling fedora-debuginfo
Traceback (most recent call last):
  File "/usr/bin/debuginfo-install", line 109, in <module>
    util = DebugInfoInstall()
  File "/usr/bin/debuginfo-install", line 38, in __init__
    self.main()
  File "/usr/bin/debuginfo-install", line 59, in main
    self.doRepoSetup(thisrepo=r.id)
  File "/usr/share/yum-cli/cli.py", line 118, in doRepoSetup
    yum.YumBase._getRepos(self, thisrepo=thisrepo, doSetup=True)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 348, in _getRepos
    self._repos.doSetup(thisrepo)
  File "/usr/lib/python2.5/site-packages/yum/repos.py", line 58, in doSetup
    repo.setup(self.ayum.conf.cache, self.ayum.mediagrabber)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 720, in setup
    self.dirSetup()
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 473, in dirSetup
    "Cannot access repository dir %s" % dir
yum.Errors.RepoError: Cannot access repository dir //var/cache/yum/fedora-debuginfo


Expected results:

Same output as yum itself. "You need to be root to perform this command."

Additional info:

It would probably be a good idea to check that all yum plugins and utilities
give the same output as yum itself.
Comment 1 Tim Lauridsen 2008-01-12 06:57:51 EST
This is solved in yum-utils-1.1.10 currently in updates-testing.

Note You need to log in before you can comment on or make changes to this bug.